Este sitio utiliza cookies propias y de terceros. Si continúa navegando consideramos que acepta el uso de cookies. OK Más Información.

[SOLUCIONADO] VPN over DNS

  • 3 Respuestas
  • 900 Vistas

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado merlin6996

  • *
  • Underc0der
  • Mensajes: 1
  • Actividad:
    0%
  • Reputación 0
    • Ver Perfil
    • Email
« en: Julio 14, 2019, 11:15:21 pm »
hola estoy tratando de montar esta vpn https://github.com/kstm-su/dnsvpn
el desarrolador dice q siga estos pasoos
    sudo apt-get install python3
    sudo pip3 install scapy-python3
    sudo ./server.py or sudo ./client.py
pero a la hora de lebantar el server da error con respecto al Scapy  este error:

PIP package scapy-python3 used to provide scapy3k, which was a fork from scapy implementing python3 compatibility since 2016. This package was included in some of the Linux distros under name of python3-scapy. Starting from scapy version 2.4 (released in March, 2018) mainstream scapy supports python3. To reduce any confusion scapy3k was renamed to kamene.
You should use either pip package kamene for scapy3k (see http://github.com/phaethon/kamene for differences in use) or mainstream scapy (pip package scapy, http://github.com/secdev/scapy)

como puedo sulucionar este problema?? saludos
« Última modificación: Julio 18, 2019, 01:35:41 am por AXCESS »

Conectado hielasangre

  • *
  • Underc0der
  • Mensajes: 214
  • Actividad:
    20%
  • Reputación 4
    • Ver Perfil
« Respuesta #1 en: Julio 14, 2019, 11:23:10 pm »
hola estoy tratando de montar esta vpn https://github.com/kstm-su/dnsvpn
el desarrolador dice q siga estos pasoos
    sudo apt-get install python3
    sudo pip3 install scapy-python3
    sudo ./server.py or sudo ./client.py
pero a la hora de lebantar el server da error con respecto al Scapy  este error:

PIP package scapy-python3 used to provide scapy3k, which was a fork from scapy implementing python3 compatibility since 2016. This package was included in some of the Linux distros under name of python3-scapy. Starting from scapy version 2.4 (released in March, 2018) mainstream scapy supports python3. To reduce any confusion scapy3k was renamed to kamene.
You should use either pip package kamene for scapy3k (see http://github.com/phaethon/kamene for differences in use) or mainstream scapy (pip package scapy, http://github.com/secdev/scapy)

como puedo sulucionar este problema?? saludos

creo que aqui tienes la solución:

https://github.com/k4m4/kickthemout/issues/345

Ahi mismo dice:

Tengo la solución. Es fácil, primero debes descargar scapy desde ese enlace "https://github.com/secdev/scapy". Después de instalar el scapy, funcionará. recuerda el que tienes python3

asegurate de no tener un conflicto con las versiones de python que tengas en tu maquina.

« Última modificación: Julio 14, 2019, 11:50:43 pm por Gabriela »

Desconectado AXCESS

  • *
  • Moderator
  • Mensajes: 405
  • Actividad:
    91.67%
  • Reputación 11
    • Ver Perfil
    • Email
« Respuesta #2 en: Julio 14, 2019, 11:31:34 pm »
Está interesante.

En qué sistema lo está corriendo: Debian, Ubuntu, Kali, etc.?

Estas VPN sobre DNS son lentas, pero que muy lentas.
La ventaja que tienen es que saltan restricciones de elevados niveles, incluyendo las que son por DNS. Como firewalls gubernamentales, portales cautivos de última generación, etc.

Nunca había visto esa.

Esta no falla, a no ser que se bloquee expresamente.
https://vpnoverdns.com/

Suerte.

« Última modificación: Julio 14, 2019, 11:50:59 pm por Gabriela »

Desconectado KiddArabic

  • *
  • Underc0der
  • Mensajes: 270
  • Actividad:
    5%
  • Reputación 1
  • Vivir sin sueño no es vivir.
    • Ver Perfil
« Respuesta #3 en: Julio 15, 2019, 05:52:20 pm »
son lentas bro , porque no  intentas hacer una con vps o algo asi?

 

¿Te gustó el post? COMPARTILO!



[SOLUCIONADO] ¿Kali Linux o Kali Linux Ligth ?

Iniciado por worq

Respuestas: 2
Vistas: 21410
Último mensaje Noviembre 21, 2017, 12:28:54 pm
por Codig0Bit
[SOLUCIONADO] ¿Como publicar un software como software libre?

Iniciado por FuriosoJack

Respuestas: 2
Vistas: 8165
Último mensaje Mayo 23, 2017, 07:24:22 am
por HATI
[SOLUCIONADO] Multiuploader de imagenes con mysql, hosting de imagenes con mysql

Iniciado por graphixx

Respuestas: 4
Vistas: 9514
Último mensaje Marzo 26, 2013, 05:42:58 pm
por Xt3mP
[SOLUCIONADO] Linux Mint, errores, errores y mas errores...

Iniciado por n1sendev

Respuestas: 12
Vistas: 12476
Último mensaje Noviembre 22, 2017, 06:50:55 am
por RuidosoBSD
[SOLUCIONADO] Problem al instalar Windows "cualquier windows"

Iniciado por Made

Respuestas: 7
Vistas: 7811
Último mensaje Septiembre 03, 2012, 04:53:08 pm
por Made